#include "testApp.h"
#include "stdio.h"

//--------------------------------------------------------------
testApp::testApp(){
	
}

//--------------------------------------------------------------
void testApp::setup(){	 
	ofBackground(0,0,0);
	//graff.setup();	
	for (int i = 0; i < NUM_LETTERS; i++){
		graff[i].setup();
	}
	currGraff = 0;
}

//--------------------------------------------------------------
void testApp::update(){
	graff[currGraff].update();
	
	
}

//--------------------------------------------------------------
void testApp::draw(){
	for (int i = 0; i < NUM_LETTERS; i++){
		graff[i].draw();
	}
	char temp[256];
	sprintf(temp, "ofGetFrameRate() %f \n", ofGetFrameRate());
	ofDrawBitmapString(temp, 30,30);
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	graff[currGraff].clear();
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	currentMouse.x 	= x;
	currentMouse.y 	= y;
	graff[currGraff].addLine(currentMouse.x, currentMouse.y, prevMouse.x, prevMouse.y);
	prevMouse 		= currentMouse;
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	currentMouse.x 	= x;
	currentMouse.y 	= y;
	prevMouse 		= currentMouse;
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
	currGraff++;
	currGraff %= NUM_LETTERS;
	graff[currGraff].newLetter();
}

